@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lobster&display=swap");
* {
  margin: 0;
  padding: 0;
}
html {
  scroll-behavior: smooth;
}
body {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  --hero-background: url("./images/hero_background.jpg");
  --menu-background: url("./images/baking-concept.jpg");
  --opening-hours-background: url("./images/contemporary.jpg");
  --color: #ffffff;
  --background-color: #222222;
  --primary-color: #bf0426;
  --secondary-color: #dedede;
  --hero-title-shadow: #dfdfdf;
  --nav-item-hover-shadow: #2a2a2a;
}
.container {
  max-width: 100%;
  margin: 0 auto;
  padding: 1.5rem;
}
.navbar {
  justify-content: center;
  align-items: center;
  width: 100%;
  background-color: var(--primary-color);
  background: linear-gradient(90deg, #bf0426cc, #8b0000cc);
  padding-top: 1.6rem;
  padding-bottom: 1.6rem;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1000;
}
.nav-links {
  list-style: none;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.5rem;
}
.nav-item {
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 0.1em;
  color: var(--secondary-color);
  font-size: 0.8rem;
  font-weight: 500;
  transition: all 0.3s ease;
}
.nav-item:hover {
  color: var(--color);
  font-size: 0.9rem;
  text-shadow: -0.5px -1px 0 var(--nav-item-hover-shadow),
    1px -0.5px 0 var(--nav-item-hover-shadow),
    -0.5px 1px 0 var(--nav-item-hover-shadow),
    1px 1px 0 var(--nav-item-hover-shadow),
    -0.5px 0 0 var(--nav-item-hover-shadow),
    1px 0 0 var(--nav-item-hover-shadow),
    0 -0.5px 0 var(--nav-item-hover-shadow),
    0 1px 0 var(--nav-item-hover-shadow);
}
.br-nav {
  display: none;
}
.hero {
  height: 100vh;
  height: 100dvh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
    var(--hero-background) no-repeat center left/cover;
}
.hero-title {
  font-size: 6rem;
  line-height: 6rem;
  font-family: "Lobster", sans-serif;
  font-weight: 400;
  font-style: normal;
  margin: 0 0 1rem 0;
  color: var(--primary-color);
  text-shadow: -3px -3px 0 var(--hero-title-shadow),
    3px -3px 0 var(--hero-title-shadow), -3px 3px 0 var(--hero-title-shadow),
    3px 3px 0 var(--hero-title-shadow), -3px 0 0 var(--hero-title-shadow),
    3px 0 0 var(--hero-title-shadow), 0 -3px 0 var(--hero-title-shadow),
    0 3px 0 var(--hero-title-shadow);
  transform: perspective(500px) rotateX(25deg);
  transform-origin: center bottom;
  display: inline-block;
}
.hero-subtitle {
  font-size: 1.2rem;
  line-height: 2rem;
  font-weight: 400;
  margin: 0 0 2rem 0;
  padding: 0 1rem;
  color: var(--color);
  text-shadow: 0 0 5px rgba(0, 0, 0, 0.9);
}
.button {
  margin-top: 3rem;
  display: flex;
  position: relative;
  width: fit-content;
  font-size: 1.1em;
  padding: 0.9em 1.6em;
  text-decoration: none;
  border: none;
  border-radius: 0.5em;
  background-color: var(--primary-color);
  color: #dedede;
  box-shadow: 0.5em 0.5em 0.5em rgba(70, 27, 27, 0.2);
}

.button::before {
  position: absolute;
  content: "";
  height: 0;
  width: 0;
  top: 0;
  left: 0;
  background: linear-gradient(
    135deg,
    transparent 0%,
    transparent 50%,
    rgb(138, 138, 138) 0%,
    rgb(255, 255, 255) 60%
  );
  border-radius: 0 0 0.5em 0;
  box-shadow: 0.2em 0.2em 0.2em rgba(0, 0, 0, 0.3);
  transition: 0.1s all ease-in-out;
}

.button:hover::before {
  width: 1.6em;
  height: 1.6em;
}

.button:hover {
  color: var(--secondary-color);
  clip-path: polygon(1.6em 0, 100% 0, 100% 100%, 0 100%, 0 1.6em);
  /* transform: translate(0.1em, 0.1em); */
}

.button::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: transparent;
  transform: translate(0.5em, 0.5em);
  border-radius: 0.5em;
  box-shadow: 0.5em 0.5em 0.5em rgba(0, 0, 0, 0.3);
  z-index: -1;
  pointer-events: none;
}

.button:active {
  box-shadow: 0.2em 0.2em 0.2em rgba(0, 0, 0, 0.3);
  transform: translate(0.1em, 0.1em);
}
.about {
  height: auto;
  display: flex;
  background-color: var(--background-color);
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: left;
  padding: 1.5rem;
}
.about-right {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 1rem;
  margin-top: 2rem;
  height: auto;
}
.about-left {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  max-width: 100%;
}
.heading {
  font-size: 1.8rem;
  line-height: 1.8rem;
  font-family: "Inter", sans-serif;
  border-bottom: var(--hero-title-shadow) 4px dotted;
  width: fit-content;
  letter-spacing: 0.1em;
  font-weight: 700;
  text-transform: uppercase;
  font-style: normal;
  margin: 1.5rem 0 1.5rem 0;
  color: var(--primary-color);
}
.about-subtitle {
  font-size: 1rem;
  line-height: 1.2rem;
  font-weight: 300;
  margin: 0 0 0 0;
  padding: 0;
  color: var(--color);
}
.about-btn {
  margin-top: 1.5rem;
}

.grid-item-tall {
  grid-row: 1 / 3;
  grid-column: 1;
}
.grid-item-wide-1 {
  grid-row: 1;
  grid-column: 2;
}
.grid-item-wide-2 {
  grid-row: 2;
  grid-column: 2;
}
.grid-item {
  border-radius: 0.2rem;
  overflow: hidden;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: transform 0.1s ease-in;
}
.grid-item:hover {
  transform: scale(1.01);
}
.grid-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
#menu {
  background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
    var(--menu-background) no-repeat center center/cover;
}
.menu {
  height: auto;
  display: flex;
  flex-wrap: wrap;
  background-color: #222222;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: left;
  padding: 1.5rem;
  background: transparent;
}
.menu-items {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}
.menu-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.menu-item-title {
  position: relative;
  top: 0.7rem;
  z-index: 10;
  background-color: #000000f2;
  padding: 0 0.5rem;
  font-size: 1.2rem;
  line-height: 1.2rem;
  font-weight: 600;
  color: var(--secondary-color);
  text-transform: uppercase;
  letter-spacing: 0.05em;
}
.menu-item-content {
  display: flex;
  flex-direction: column;
  border: var(--primary-color) 2px solid;
  height: inherit;
  min-width: 90%;
  padding: 1.5rem;
  padding-top: 2.5rem;
  gap: 0.5rem;
  font-size: 1rem;
  line-height: 1.2rem;
  font-weight: 300;
  color: var(--color);
  border-radius: 0.5rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.5);
}
.menu-item-txt {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  font-weight: 500;
}
.menu-item-description {
  font-size: 0.9rem;
  line-height: 1.2rem;
  font-weight: 300;
  font-style: italic;
  color: var(--secondary-color);
}
.menu-item-details {
  display: flex;
  flex-direction: column;
  padding-bottom: 1.5rem;
  gap: 0.3rem;
}

.opening-hours {
  display: flex;
  flex-direction: row-reverse;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
    var(--opening-hours-background) no-repeat center center/cover;
  color: var(--secondary-color);
  text-align: center;
  padding: 1.5rem;
}

.h-entry {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  /* background-color: aquamarine; */
  /* padding: 1rem; */
  max-width: 600px;
  font-size: 1.1rem;
  line-height: 1.5rem;
  font-weight: 300;
  margin: 0 0 0.8rem 0;
  color: var(--color);
}

.day {
  font-weight: 600;
  color: var(--hero-title-shadow);
}
#contact {
  background-color: #222222;
}
.contact {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: left;
  text-align: left;
  padding: 3rem 3rem;
}
.contact-left {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: auto;
}
.contact-right {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  line-height: 1.8rem;
  width: 50%;
  height: 100%;
  color: var(--secondary-color);
}
.contact-img {
  width: 100%;
  object-fit: cover;
  border-radius: 0.5rem;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.contact-action {
  display: flex;
  flex-direction: column;
  margin-top: 1rem;
}
.contact-telefon {
  padding: auto;
  width: 160px;
}
.contact-telefon {
  margin-top: 1rem;
  width: fit-content;
  min-width: max-content;
}
.contact-email {
  margin-top: 0;
  width: fit-content;
  min-width: max-content;
}

footer {
  background-color: var(--nav-item-hover-shadow);
  color: var(--secondary-color);
  justify-content: center;
  text-align: center;
  gap: 1rem;
  padding: 1rem;
  font-size: 0.9rem;
}
footer .links {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1rem;
  margin-bottom: 1rem;
}

.link {
  text-decoration: none;
  font-size: 1.2rem;
  text-transform: uppercase;
  /* background-color: turquoise; */
  color: var(--secondary-color);
  transition: all 0.3s ease;
}
@media screen and (max-width: 360px) {
  .br-nav {
    display: block;
  }
  .hero {
    height: 100vh;
    height: calc(
      100vh - env(safe-area-inset-top) - env(safe-area-inset-bottom)
    );
    min-height: 100vh;
    min-height: 100dvh;
  }
  .hero-title {
    font-size: 4.5rem;
    line-height: 4.5rem;
  }
  .nav-item {
    display: block;
    justify-items: center;
    text-align: center;
  }
}

@media screen and (min-width: 750px) {
  .navbar {
    position: fixed;
    padding-top: 1.7rem;
    padding-bottom: 1.7rem;
  }
  .nav-links {
    gap: 3rem;
  }
  .nav-item {
    font-size: 0.9rem;
  }
  .nav-item:hover {
    font-size: 1rem;
  }
  .br-mamma {
    display: none;
  }
  .hero {
    background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
      var(--hero-background) no-repeat center right/cover;
  }
  .hero-subtitle {
    font-size: 1.5rem;
    line-height: 2rem;
  }
  .hero-btn {
    font-size: 1.2rem;
    padding: 1em 2em;
  }
  .about {
    height: 60vh;
    flex-direction: row;
    text-align: left;
    margin-bottom: 0;
    padding: 0 2rem;
    gap: 1rem;
  }
  .about-left {
    justify-content: space-around;
    min-width: 50%;
    height: 75%;
  }
  .about-right {
    margin-top: 0;
    min-width: 50%;
    height: auto;
  }
  .heading {
    font-size: 2rem;
    line-height: 2rem;
  }
  .about-subtitle {
    font-size: 1rem;
    line-height: 1.2rem;
    letter-spacing: 0.03em;
    font-weight: 300;
    margin: 0 0 0 0;
    padding: 0;
    color: var(--color);
  }
  .menu-items {
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    height: 100%;
  }
  .opening-hours {
    height: 60vh;
  }
  .contact {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    text-align: left;
    gap: 2rem;
  }
  .contact-right {
    width: 55%;
    line-height: 1.8rem;
    padding-left: 1rem;
  }
  .contact-action {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
  }
  .contact-left {
    width: 45%;
    padding-left: 0rem;
    justify-content: space-between;
  }
  .contact-telefon {
    margin-top: 1rem;
  }
  .contact-email {
    margin-top: 1rem;
  }

  footer .links {
    flex-direction: row;
    gap: 3rem;
    margin-bottom: 3rem;
  }
}
@media screen and (min-width: 1000px) {
  .container {
    padding: 3rem;
  }
  .hero-title {
    font-size: 7rem;
    line-height: 7rem;
  }
  .hero-subtitle {
    font-size: 1.5rem;
    line-height: 2rem;
  }
  .hero-btn {
    font-size: 1.3rem;
    padding: 1em 2.1em;
  }
  .about {
    height: 65vh;
    text-align: left;
    padding: 0 2rem;
    gap: 2srem;
  }

  .about-right {
    min-width: 55%;
    height: 70%;
  }
  .about-left {
    min-width: 45%;
    height: 80%;
  }
  .about-title {
    font-size: 2rem;
    line-height: 2rem;
  }
  .about-subtitle {
    font-size: 1.2rem;
    line-height: 1.5rem;

    font-weight: 300;
    margin: 0 0 0 0;
    padding: 0;
    color: var(--color);
  }
  .about-btn {
    margin-top: 1.5rem;
  }
  #menu {
    background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
      var(--menu-background) no-repeat center center / cover;
  }
  .menu {
    padding: 2rem 1rem;
  }
  .menu-items {
    max-width: 1300px;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    align-items: flex-start;
    height: 100%;
  }
  .menu-item-content {
    min-height: 370px;
    max-height: 400px;
  }
  .opening-hours {
    height: 65vh;
    background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)),
      var(--opening-hours-background) no-repeat center center/ cover;
  }
  .contact-right {
    padding-left: 4rem;
  }
  .contact-left {
    padding-left: 3rem;
    justify-content: space-between;
  }
  footer {
    padding: 0;
    font-size: 1rem;
  }
}
@media only screen and (min-width: 1400px) {
  .container {
    max-width: 1200px;
  }
}
